org.apache.torque.generator.source.transform

## Class BeanPropertyMethodNameTransformerTest

- java.lang.Object
- - org.apache.torque.generator.source.transform.BeanPropertyMethodNameTransformerTest

-     public class BeanPropertyMethodNameTransformerTest
      extends Object

  Converts a source element Attribute such that it can be used as method name. The base of the method name is the attribute content, with special characters removed and case corrected where necessary. Optionally, a prefix and/or suffix can be added. The result is stored into another attribute of the same source element.
  Version:
    $Id: BeanPropertyMethodNameTransformerTest.java 1855607 2019-03-15 16:41:24Z gk $

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `BeanPropertyMethodNameTransformerTest()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `before()`
    `void` | `testNoOverwrite()`
    `void` | `testNoOverwriteEmptyTarget()`
    `void` | `testNoPrefixSuffix()`
    `void` | `testPrefixSuffix()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BeanPropertyMethodNameTransformerTest

          public BeanPropertyMethodNameTransformerTest()

  - ### Method Detail

    - #### before

          @BeforeEach
          public void before()
                                   throws SourceTransformerException

      Throws:
        `SourceTransformerException`

    - #### testNoPrefixSuffix

          @Test
          public void testNoPrefixSuffix()
                                         throws SourceTransformerException

      Throws:
        `SourceTransformerException`

    - #### testPrefixSuffix

          @Test
          public void testPrefixSuffix()
                                       throws SourceTransformerException

      Throws:
        `SourceTransformerException`

    - #### testNoOverwrite

          @Test
          public void testNoOverwrite()
                                      throws SourceTransformerException

      Throws:
        `SourceTransformerException`

    - #### testNoOverwriteEmptyTarget

          @Test
          public void testNoOverwriteEmptyTarget()
                                                 throws SourceTransformerException

      Throws:
        `SourceTransformerException`

Copyright © 2000–2020 The Apache Software Foundation. All rights reserved.